Room
	var
		pane	= "players2"// The pane the stats are displayed in.
		turnBG	= "#000000"//	The color of the turn indicator.
		name	= ""//	Names are used to display everyone's location.

	New(Name="2-Player Room",Pane="players2")
		src.name	= Name
		src.pane	= Pane
		src.players	= list()

	//	The "Enter" links in the people grid allow players to change locations.
	Topic(href,href_list[])
		if ( !istype(usr.room) || (usr.room == src) )
			return ..(href,href_list)
		usr.room.Exited(usr,FALSE)
		src.Entered(usr,TRUE)


	//	Handle players however you have working.
	var/list/players
	proc
		GetPlayers()
			return src.players.Copy()
		GetClients()
			.	= list()
			for(var/mob/M in src.players)
				if (M.client)	.	+= M.client
		GetCurrentPlayer()
			return null
		//	Display the updated room list when mobs are deleted.
		Exited(mob/M,Display=FALSE)
			if ( !istype(M) || (M.room != src) )	return FALSE
			.				= TRUE
			src.players		-= M
			M.room			= null
			if (Display)	gRoomList.Display()
		//	Entering requires the interface to be set for the client.
		//	Meanwhile, everyone should see new player locations.
		Entered(mob/M,Display=TRUE)
			if ( !istype(M) )		return FALSE
			.						= TRUE
			if ( istype(M.room) )	M.room.players	-= M
			src.players				+= M
			M.room					= src
			M.vote					= initial(M.vote)//Explained below.
			src.SetInterface(M.client)
			gRoomList.Display()

		//	I defined mobs so that they store the player's index
		//	as their vote.  This allows any numbe rof players to be
		//	voted for.  You might want to do some bounds checking.
		//	However, illegal values won't be displayed.
		//	Actually, they're used to remove votes.
		//	That's another new feature, I think.
		GetNumVotes(PlayerNum)
			.	= 0
			for(var/mob/M in src.GetPlayers())
				if (M.vote == PlayerNum)	.	+= 1

		//	Use your own method fo rkeeping track of territories.
		GetNumTerritories(PlayerNum)
			return "# of T"

		//	The skin displays territories and votes of support in labels
		//	that help fill the rectangular portion of the "map" pane.
		//	(A square map would have left the "other" pane too skinny.)
		//	Note the use of the pane defined for the room.
		DisplayScore(Viewer)
			//	Display to a specific viewer or to everyone?
			var/list/players
			if (Viewer)	players	= list(Viewer)
			else		players	= src.GetPlayers()

			players	<< output(src.GetNumTerritories(1),"[src.pane].territories1")
			players	<< output(src.GetNumVotes(1),"[src.pane].vote1")

			players	<< output(src.GetNumTerritories(2),"[src.pane].territories2")
			players	<< output(src.GetNumVotes(2),"[src.pane].vote2")

			if (src.pane != "players2")
				players	<< output(src.GetNumTerritories(3),"[src.pane].territories3")
				players	<< output(src.GetNumVotes(3),"[src.pane].vote3")

				if (src.pane != "players3")
					players	<< output(src.GetNumTerritories(4),"[src.pane].territories4")
					players	<< output(src.GetNumVotes(4),"[src.pane].vote4")


	//	Display the game stats pane and everything inside.
	//	Display the objective and the current player's name/color too.
	//	The explosion wrapping and random starting player settings should
	//	be displayed here as well as when their verbs are called.
	//
	//	Note that there's a label to display the objective.
	//	I'm assuming you have your own method for keeping track.
	//	(I don't care to reimplement your verbs, but the buttons do call them.)
	//	Fill in the proper info while I simply go for the Submission default.
	//
	var
		wrap		= FALSE
		randomStart	= FALSE
	proc
		SetInterface(client/C)
			if ( !istype(C) )	return FALSE
			.					= TRUE

			var/list/L					= list()
			L["childPlayersNum.left"]	= src.pane
			L["turn.background-color"]	= src.turnBG
			L["wrap.is-checked"]		= (src.wrap) ? "true" : "false"
			L["randomStart.is-checked"]	= (src.randomStart) ? "true" : "false"
			winset( C, null, list2params(L) )

			C	<< output("[src.GetCurrentPlayer()]","turn")

			src.DisplayScore(C)

			C	<< output("Objective: Submission","objective")

		//	I don't recall if the ability to toggle flags is limited.
		//	The caller is passed into these two procs because the client's
		//	skin will update whether the toggle is successful or not.
		//	You will want to reset the caller's skin to the actual value.
		ToggleExplosionWrapping(mob/M)
			src.wrap								= !src.wrap
			var/params								= list()
			params["wrap.is-checked"]				= (src.wrap) ? "true" : "false"
			params									= list2params(params)
			for(var/client/C in src.GetClients())	winset(C,null,params)
		ToggleRandomStartingPlayer(mob/M)
			src.randomStart							= !src.randomStart
			var/params								= list()
			params["randomStart.is-checked"]		= (src.randomStart) ? "true" : "false"
			params									= list2params(params)
			for(var/client/C in src.GetClients())	winset(C,null,params)


	//	There is no turn structure in this demo.  However, the turn
	//	indicator should be updated every turn with something like the
	//	following.  Remember to change the hex color stored in turnBG.
	//	I suggest #33CC33, #CC3333, #CCCC99 and #99CC99.
	//
	//	var
	//		client/C
	//		list/clients	= src.GetClients()
	//	for(C in clients)	winset(C,"turn","background-color=[src.turnBG];")
	//	clients				<< output"[src.GetCurrentPlayer()]","turn")





	//	The following is used by the room handler to display everyone.
	//
	//	It returns a list of text intended to fill two columns of a grid.
	//	The number of rows will vary with the number of players.
	//	Note the Topic reference used to enter a room.
	//	Replace my GetElo() proc with your own stat tracking.
		GetDisplay()
			.	= list()
			.	+= "<span class='room'>[src]</span>"
			.	+= "<a class='enter' href='?src=\ref[src]'>Enter</a>"
			for( var/mob/M in src.GetPlayers() )
				.	+= "<span class='player'>[M]</span>"
				.	+= "<span class='elo'>[M.GetElo()]</span>"
